Bug 82552 - vfat default umask 033 instead of 022
Summary: vfat default umask 033 instead of 022
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: util-linux (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 10:47 UTC by Warren Togami
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-29 14:39:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2003-01-23 10:47:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
Red Hat 8.0 and all previous versions mounted vfat partitions with umask 022. 
Phoebe1 and Phoebe2 mount now mounts 033 instead of 022.  If you downgrade to
mount from RH8.0 it mounts 022.  (This is a follow up to Bug 81201 which was
originally misreported and closed.  We care only about the default umask, not
changing permissions on vfat which is impossible.)

If the issue is security, 033 makes no logical sense since files are still world
readable.  077 would be the "secure" default.  However I would argue that
anybody using vfat is not a shared system, definitely not a server.  vfat users
are generally personal machines dual booting with Windows.

Why did this change?  Please make default umask 022.  033 makes no sense and it
causes confusion to many users who previously used vfat mounts in earlier RH
releases.

Version-Release number of selected component (if applicable):
Phoebe1 and Phoebe2

Comment 1 Michael Schwendt 2003-01-23 11:37:40 UTC
Yes, _why_ a default umask=033?

One thing is certain, with regard to security, umask=033 would be a safe default
umask, too. When mounting a VFAT partition with the default umask of 033, the
mount point's permissions turn -rwxr--r-- which makes the partitions root
directory accessible only to its user. Hence none of the files with -rwxr--r--
are accessible.

However, it looks both strange and confusing at the same time and doesn't
explain _why_ a default umask of 033 (-rwxr--r--) and not 077 (-rwx------)?

Further, if it will stay umask=033, it should be covered in the release notes
that users may need to adjust their fstab with option umask=022 to get the old
behaviour.

For a patch against util-linux, see bug #81201.

Comment 2 Elliot Lee 2003-01-29 14:39:47 UTC
Confusion cleared up, stuff patched, thanks.


Note You need to log in before you can comment on or make changes to this bug.